List the grader library for a project
curl --request GET \
--url https://app.egma.ai/v1/grader-library \
--header 'Authorization: Bearer <token>'{
"graderLibraryEntries": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"owner": "egma",
"type": "llm_as_judge",
"scopeEditable": true,
"currentDefinitionVersion": 2,
"definitionVersion": 2,
"modalities": [
"chat"
],
"gradingInstructions": "<string>",
"requiredEvidence": [
"transcript"
],
"settingDefinitions": [
{
"key": "<string>",
"label": "<string>",
"valueType": "integer",
"defaultValue": 123,
"unit": "<string>",
"minimum": 123,
"maximum": 123
}
],
"activeProjectGraderId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Graders
List the grader library for a project
Includes Egma’s built-in graders and custom graders owned by this project. activeProjectGraderId identifies a definition already in use by this project; null means it can be added.
GET
/
v1
/
grader-library
List the grader library for a project
curl --request GET \
--url https://app.egma.ai/v1/grader-library \
--header 'Authorization: Bearer <token>'{
"graderLibraryEntries": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"owner": "egma",
"type": "llm_as_judge",
"scopeEditable": true,
"currentDefinitionVersion": 2,
"definitionVersion": 2,
"modalities": [
"chat"
],
"gradingInstructions": "<string>",
"requiredEvidence": [
"transcript"
],
"settingDefinitions": [
{
"key": "<string>",
"label": "<string>",
"valueType": "integer",
"defaultValue": 123,
"unit": "<string>",
"minimum": 123,
"maximum": 123
}
],
"activeProjectGraderId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
bearerAuthsessionCookie
An Egma API key.